<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:optim="http://www.ibm.com/optim/audit/v11.3.0.0"
	xmlns:optimreport="http://www.ibm.com/optim/report/v11.3.0.0"
	xmlns:optimcommon="http://www.ibm.com/optim/common/v11.3.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:import href="CommonTemplates.xsl"/>
	<xsl:output method="html" indent="yes" version="4.0"
		doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />
	
	<xsl:template match="optimreport:requestOptions" >
		<xsl:param name="display">True</xsl:param>
		
		<xsl:variable name="displayStyle">
			<xsl:choose>
				<xsl:when test="$display='True'">
					<xsl:text></xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>display:none</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<xsl:call-template name="anchorSetup">
			<xsl:with-param name="name">reqoptions</xsl:with-param>
		</xsl:call-template>
		<!-- Request Options Banner -->
		<xsl:call-template name="titleBar">
			<xsl:with-param name="name">Request Options</xsl:with-param>
			<xsl:with-param name="containerId">reqopts_container</xsl:with-param>
			<xsl:with-param name="containerClass">reqopts_container_class</xsl:with-param>
			<xsl:with-param name="anchor">reqoptions</xsl:with-param>
			<xsl:with-param name="closeByDefault">
				<xsl:choose>
					<xsl:when test="$display='True'">
						<xsl:text>false</xsl:text>
					</xsl:when>
				<xsl:otherwise>
					<xsl:text>true</xsl:text>
				</xsl:otherwise>
				</xsl:choose></xsl:with-param>
			</xsl:call-template>
		
		<!-- Request Options Contents -->
		<div class="section_container reqopts_container_class" id="reqopts_container" style="{$displayStyle}" inAllAction="true">
			<table>
				<tr istitle="yes">
					<th style="text-align:center">
						<center><xsl:text>Option</xsl:text></center>
					</th>
					<th style="text-align:right">
						<center><xsl:text>Value</xsl:text></center>
					</th>
				</tr>
				<xsl:apply-templates select="./*"/>
			</table>	
		</div>
	</xsl:template>

</xsl:stylesheet>

